# $Revision: 1.7 $, $Date: 2006/01/26 19:48:53 $
#
# TODO:
#	- Requires and BuildRequires with proper versions
#
Summary:	IP sets utility
Summary(pl):	Narzdzie do zarzdzania zbiorami IP
Name:		ipset
%define		version_base	2.2.8
%define		version_tstamp	20051203
Version:	%{version_base}_%{version_tstamp}
Release:	1
License:	GPL
Group:		Networking/Admin
Source0:	http://ipset.netfilter.org/%{name}-%{version_base}-%{version_tstamp}.tar.bz2
# Source0-md5:	a638af2788ce9e41e07dbe89311c0914
Patch0:		%{name}-no_kernel_headers.patch
URL:		http://ipset.netfilter.org/
BuildRequires:	linux-libc-headers >= 7:2.6.12.0-10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel, which
can be administered by the ipset utility. Depending on the type,
currently an IP set may store IP addresses, (TCP/UDP) port numbers or
IP addresses with MAC addresses in a way, which ensures lightning
speed when matching an entry against a set.

%description -l pl
Zbiory IP to szkielet w jdrze Linuksa 2.4.x i 2.6.x, ktrym mona
administrowa przy uyciu narzdzia ipset. W zalenoci od rodzaju
aktualnie zbir IP moe przechowywa adresy IP, numery portw
(TCP/UDP) lub adresy IP z adresami MAC - w sposb zapewniajcy
maksymaln szybko przy dopasowywaniu elementu do zbioru.

%package devel
Summary:	Header files for ipset interface
Summary(pl):    Pliki nagwkowe do interfejsu ipset
Group:          Development/Libraries

%description devel
Header files for ipset interface.

%description devel -l pl
Pliki nagwkowe do interfejsu ipset.

%prep
%setup -qn %{name}-%{version_base}
%patch0 -p1

%build
%{__make} \
	PREFIX="%{_prefix}" \
	LIBDIR="%{_libdir}" \
	MANDIR="%{_mandir}" \
	BINDIR="%{_sbindir}" \
	COPT_FLAGS:="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT" \
	PREFIX="%{_prefix}" \
	LIBDIR="%{_libdir}" \
	MANDIR="%{_mandir}" \
	BINDIR="%{_sbindir}"

install *.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog ChangeLog.ippool TODO
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/ipset
%attr(755,root,root) %{_libdir}/ipset/*.so
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipset.spec,v $
Revision 1.7  2006/01/26 19:48:53  dzeus
- up to 2.2.8

Revision 1.6  2005/12/13 20:10:43  qboosh
- fixed -devel descs

Revision 1.5  2005/12/11 13:04:59  djrzulf
- created devel subpackage, i think right :),

Revision 1.4  2005/11/24 11:01:15  pluto
- updated to 2.2.7, all modules enabled, release 1.

Revision 1.3  2005/11/14 21:17:30  qboosh
- pl

Revision 1.2  2005/11/09 12:40:42  jajcus
- patch for Makefile not to use kernel headers (from /usr/src)

Revision 1.1  2005/11/09 10:57:18  jajcus
- new spec
